> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a DYOA



## OpenAPI

````yaml post /api/dyoa/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/dyoa/:
    post:
      tags:
        - dyoa
      operationId: dyoa_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FullySyntheticAvatarFlowCreateOpenAPI'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/FullySyntheticAvatarFlowCreateOpenAPI'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FullySyntheticAvatarFlowCreateOpenAPI'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullySyntheticAvatarFlow'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    FullySyntheticAvatarFlowCreateOpenAPI:
      type: object
      properties:
        name:
          type: string
          description: The name of the fully synthetic avatar.
        age_group:
          allOf:
            - $ref: >-
                #/components/schemas/FullySyntheticAvatarFlowCreateOpenAPIAgeGroupEnum
          description: |-
            The age group of the avatar.

            * `infant` - infant
            * `child` - child
            * `teen` - teen
            * `young_adult` - young_adult
            * `early_middle_age` - early_middle_age
            * `late_middle_age` - late_middle_age
            * `senior` - senior
        gender:
          allOf:
            - $ref: >-
                #/components/schemas/FullySyntheticAvatarFlowCreateOpenAPIGenderEnum
          description: |-
            The gender of the avatar.

            * `m` - m
            * `f` - f
            * `nb` - nb
        more_details:
          type: string
          description: Additional details about the avatar.
        outfit_description:
          type: string
          description: Description of the outfit of the avatar.
        background_description:
          type: string
          description: Description of the background of the avatar.
      required:
        - age_group
        - background_description
        - gender
        - more_details
        - name
        - outfit_description
    FullySyntheticAvatarFlow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        user:
          type: integer
          readOnly: true
          nullable: true
        workspace:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        name:
          type: string
          description: The name of the avatar
          maxLength: 255
        age_group:
          nullable: true
          description: |-
            Age Group

            * `infant` - 0 to 5 years old
            * `child` - 5 to 12 years old
            * `teen` - 13 to 19 years old
            * `young_adult` - 20 to 34 years old
            * `early_middle_age` - 35 to 44 years old
            * `late_middle_age` - 45 to 54 years old
            * `senior` - 55 years old and above
          oneOf:
            - $ref: '#/components/schemas/FullySyntheticAvatarFlowAgeGroupEnum'
            - $ref: '#/components/schemas/NullEnum'
        gender:
          nullable: true
          description: |-
            Gender

            * `m` - Male
            * `f` - Female
            * `nb` - Non-Binary
          oneOf:
            - $ref: '#/components/schemas/Gender7c5Enum'
            - $ref: '#/components/schemas/NullEnum'
        more_details:
          type: string
          nullable: true
          description: More Details of avatar
        outfit_description:
          type: string
          nullable: true
          description: Description of the avatar's outfit
        background_description:
          type: string
          nullable: true
          description: Description of the avatar's background
        photos:
          type: array
          items:
            $ref: '#/components/schemas/FullySyntheticAvatarPhoto'
          readOnly: true
        reviews:
          type: array
          items:
            $ref: '#/components/schemas/FullySyntheticAvatarReview'
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/FullySyntheticAvatarFlowStatusEnum'
          readOnly: true
          description: |-
            The status of the avatar

            * `initializing` - Initializing
            * `draft` - Draft
            * `pending` - Pending
            * `in_progress` - In Progress
            * `done` - Done
            * `rejected` - Rejected
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
      required:
        - created_at
        - id
        - name
        - photos
        - reviews
        - status
        - updated_at
        - user
        - workspace
    FullySyntheticAvatarFlowCreateOpenAPIAgeGroupEnum:
      enum:
        - infant
        - child
        - teen
        - young_adult
        - early_middle_age
        - late_middle_age
        - senior
      type: string
      description: |-
        * `infant` - infant
        * `child` - child
        * `teen` - teen
        * `young_adult` - young_adult
        * `early_middle_age` - early_middle_age
        * `late_middle_age` - late_middle_age
        * `senior` - senior
    FullySyntheticAvatarFlowCreateOpenAPIGenderEnum:
      enum:
        - m
        - f
        - nb
      type: string
      description: |-
        * `m` - m
        * `f` - f
        * `nb` - nb
    FullySyntheticAvatarFlowAgeGroupEnum:
      enum:
        - infant
        - child
        - teen
        - young_adult
        - early_middle_age
        - late_middle_age
        - senior
      type: string
      description: |-
        * `infant` - 0 to 5 years old
        * `child` - 5 to 12 years old
        * `teen` - 13 to 19 years old
        * `young_adult` - 20 to 34 years old
        * `early_middle_age` - 35 to 44 years old
        * `late_middle_age` - 45 to 54 years old
        * `senior` - 55 years old and above
    NullEnum:
      enum:
        - null
    Gender7c5Enum:
      enum:
        - m
        - f
        - nb
      type: string
      description: |-
        * `m` - Male
        * `f` - Female
        * `nb` - Non-Binary
    FullySyntheticAvatarPhoto:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        image:
          type: string
          format: uri
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
      required:
        - created_at
        - id
        - image
    FullySyntheticAvatarReview:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          readOnly: true
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/FullySyntheticAvatarReviewStatusEnum'
            - $ref: '#/components/schemas/NullEnum'
        comment:
          type: string
          readOnly: true
          nullable: true
        photo:
          allOf:
            - $ref: '#/components/schemas/FullySyntheticAvatarPhoto'
          readOnly: true
        creator:
          allOf:
            - $ref: '#/components/schemas/FullySyntheticAvatarCreator'
          readOnly: true
        social_link:
          type: string
          format: uri
          nullable: true
          description: Free User Share Social Link
          maxLength: 200
      required:
        - comment
        - creator
        - id
        - photo
        - status
    FullySyntheticAvatarFlowStatusEnum:
      enum:
        - initializing
        - draft
        - pending
        - in_progress
        - done
        - rejected
      type: string
      description: |-
        * `initializing` - Initializing
        * `draft` - Draft
        * `pending` - Pending
        * `in_progress` - In Progress
        * `done` - Done
        * `rejected` - Rejected
    FullySyntheticAvatarReviewStatusEnum:
      enum:
        - pending
        - in_progress
        - done
        - rejected
      type: string
      description: |-
        * `pending` - Pending
        * `in_progress` - In Progress
        * `done` - Done
        * `rejected` - Rejected
    FullySyntheticAvatarCreator:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        squared_preview_video:
          type: string
          format: uri
          nullable: true
          description: Squared preview video of the persona
          maxLength: 200
        squared_preview_image:
          type: string
          format: uri
          nullable: true
          description: Squared preview image of the persona
          maxLength: 200
        portrait_preview_video:
          type: string
          format: uri
          nullable: true
          description: Portrait preview video of the persona
          maxLength: 200
        landscape_preview_image:
          type: string
          format: uri
          nullable: true
          description: Landscape preview image of the persona
          maxLength: 200
        landscape_preview_video:
          type: string
          format: uri
          nullable: true
          description: Landscape preview video of the persona
          maxLength: 200
        landscape_lipsync_video:
          type: string
          format: uri
          nullable: true
          description: Landscape lipsync video of the persona
          maxLength: 200
        portrait_preview_image:
          type: string
          format: uri
          nullable: true
          description: Portrait preview image of the persona
          maxLength: 200
        portrait_lipsync_video:
          type: string
          format: uri
          nullable: true
          description: Portrait lipsync video of the persona
          maxLength: 200
      required:
        - id
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.